Subject: uncompressing zImage

From: sarpa <[email-masked]>
Date: Thu, 28 Jun 2007 05:01:34 -0700 (PDT)

I am unable to complete gunzip called from arch/ppc/boot/simple/misc.c. The
gunzip code is in arch/ppc/boot/common/misc-common.c & it is trying to do
"zalloc()". Here i am getting avail_ram greater than end_avail. So its stops
executing further. I have my RAM from 0x00000000 to 0x02000000. In this I
had copied zImage at 0x00800000. Now i am unable to continue from misc.c
file's decompress algorithm. Please provide me some tips or suggestions.

Thanks & Regards,
  Sarpa
-- 
View this message in context: http://www.nabble.com/uncompressing-zImage-tf3994018.html#a11341785
Sent from the linuxppc-embedded mailing list archive at Nabble.com.